<?php
namespace Claromentis\Infocapture\Model;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array("_bd71c3b5c20" . "1fc11db82ed1" . "4ce424de5" => base64_decode("aW5fYX" . "JyYXk="), "_117f61bda13594e2da" . "f5b0c38ea9d5eb" => base64_decode("Q2Fubm90IHNl" . "dCBJRA=="), "_7f628626dd1d55c71b1fc0932ffd1d" . "2c" => base64_decode("aXNfYXJyY" . "Xk="), "_db6f0ba0791e9a635407" . "659a9fe04e40" => base64_decode("aXNfb2" . "JqZWN0"), "_e90d5db4c6313e90f9" . "83da3d59a5f1a6" => base64_decode("b3JpZ2lu" . "YWw="), "_e258c5dc522b6" . "5a0645711c5089" . "a8e9c" => base64_decode("aX" . "Rl" . "bX" . "M="), "i" . "d" => base64_decode("aWQ" . "="));













class ICWorkflow
{
    protected $info = [];
    
    
    protected $actual_items = null;
    protected $original_object = null;
    const COLUMNS = ['id', 'project_id', 'field_symname', 'rule_id', 'pos'];
    public function AddItem(array $_59cdb5ce92fcf760d09d3c6ed5b03aaa)
    {
        $this->actual_items = $this->actual_items ?? [];
        $this->actual_items[] = $_59cdb5ce92fcf760d09d3c6ed5b03aaa;
    }
    public function __get($name)
    {
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_bd71c3b5c201f" . "c11db82ed14ce4" . "24de5"]($name, self::COLUMNS)) {
            return $this->info[$name] ?? null;
        } elseif ($name === $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_e258c5dc522b65a0645711c5089a8e" . "9c"]) {
            return $this->actual_items;
        } elseif ($name === $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_e90d5db4c6313e90f983da3d59" . "a5f1a6"]) {
            return $this->original_object;
        } else {
            throw new \InvalidArgumentException();
        }
    }
    public function __set($name, $value)
    {
        if ($name === $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["i" . "d"]) {
            throw new \InvalidArgumentException($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_117f61bda13594e2daf5b0c38ea9" . "d5eb"]);
        } elseif ($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_bd71c3b5c201fc11db82ed14c" . "e424de5"]($name, self::COLUMNS) && !$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_db6f0ba0791e9a635407659a9fe04e" . "40"]($value) && !$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_7f628626dd1d55c71b1fc0932ffd1" . "d2c"]($value)) {
            $this->info[$name] = $value;
        } elseif ($name === $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_e258c5dc" . "522b65a06" . "45711c508" . "9a8e9c"] && $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_7f628626dd1" . "d55c71b1fc09" . "32ffd1d2c"]($value)) {
            $this->actual_items = $value;
        } else {
            throw new \InvalidArgumentException();
        }
    }
    public function __isset($name)
    {
        return $name === $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_e258c5dc522b65a0645711c5089a" . "8e9c"] && isset($this->actual_items) || $name === $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_e90d5db4c6313e90f9" . "83da3d59a5f1a6"] && isset($this->original_object) || isset($this->info[$name]);
    }
    public function __clone()
    {
        
        
        if (isset($this->actual_items)) {
            $_21c3d37b9b5703fbf53e3c75860d4529 = $this->actual_items;
            $this->actual_items = [];
            foreach ($_21c3d37b9b5703fbf53e3c75860d4529 as $_59cdb5ce92fcf760d09d3c6ed5b03aaa) {
                if ($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_db6f0ba0791e" . "9a635407659a9" . "fe04e40"]($_59cdb5ce92fcf760d09d3c6ed5b03aaa)) {
                    $_59cdb5ce92fcf760d09d3c6ed5b03aaa = clone $_59cdb5ce92fcf760d09d3c6ed5b03aaa;
                }
                $this->actual_items[] = $_59cdb5ce92fcf760d09d3c6ed5b03aaa;
            }
        }
    }
    
    
    
    
    
    
    
    public function SetInfo(array $info)
    {
        $this->info = $info;
    }
    
    
    
    
    
    public function GetInfo() : array
    {
        return $this->info;
    }
    
    
    
    
    
    
    
    public function SetOriginal(ICWorkflow $_e90d5db4c6313e90f983da3d59a5f1a6 = null)
    {
        
        
        $this->original_object = null;
        if (isset($_e90d5db4c6313e90f983da3d59a5f1a6)) {
            $_e90d5db4c6313e90f983da3d59a5f1a6 = clone $_e90d5db4c6313e90f983da3d59a5f1a6;
        }
        $this->original_object = $_e90d5db4c6313e90f983da3d59a5f1a6;
    }
    public function ClearItems()
    {
        $this->actual_items = [];
    }
}